Subject: bug#41719: 28.0.50; [FR] emacsclient should provide '--name' option as emacs

From: Po Lu <[email-masked]>
Date: Tue, 14 Jun 2022 12:13:13 +0800

Vladimir Lomov <[email-masked]> writes:

> I'm using AwesomeWM and it allows me to set windows in different tags (think
> of them as "workspaces"). I have two "instances" (two a bit different
> configurations) of Emacs, one for programming and one for other tasks (i.e.
> they use different packages). I prefer to run first instance ("other") on
> "emacs" tag while second instance is placed in "misc" tag.

AwesomeWM should provide a different mechanism, such as one based on the
WM_NAME property instead.

Setting the WM_CLASS to something other than `x-resource-name' and
`x-resource-class' is not supported on GTK builds, and is probably a bad
idea, since it will mess with X resources.

> Of course, this is WM (X actually) dependent feature and I'm not sure if it
> would work on Wayland. Now I build emacs with 'pgtk' and didn't check how it
> works.

It can't work on Wayland, since the WM_CLASS doesn't exist there.